Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 252)
@@ -63,9 +63,9 @@
 
         #endregion
 
-        #region 仕入先マスタ検索
+        #region 仕入先マスタ検索ＳＱＬ
         /// <summary>
-        /// 仕入先マスタ検索
+        /// 仕入先マスタ検索ＳＱＬ
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">仕入先マスタデータ</param>
@@ -72,39 +72,51 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            string strcmd = "SELECT";
-            strcmd += "  SuppliersCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,SuppliersName1";
-            strcmd += " ,SuppliersName2";
-            strcmd += " ,ZipCode";
-            strcmd += " ,Address1";
-            strcmd += " ,Address2";
-            strcmd += " ,Address3";
-            strcmd += " ,PhoneNumber";
-            strcmd += " ,FaxNumber";
-            strcmd += " ,Note";
-            strcmd += " ,DeleteFlg";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  SuppliersCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,SuppliersName1");
+            strcmd.Append(" ,SuppliersName2");
+            strcmd.Append(" ,ZipCode");
+            strcmd.Append(" ,Address1");
+            strcmd.Append(" ,Address2");
+            strcmd.Append(" ,Address3");
+            strcmd.Append(" ,PhoneNumber");
+            strcmd.Append(" ,FaxNumber");
+            strcmd.Append(" ,Note");
+            strcmd.Append(" ,DeleteFlg");
 
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SuppliersMaster";
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SuppliersMaster");
 
-            return strcmd;
+            return strcmd.ToString();
         }
+        #endregion
+
+        #region 仕入先マスタ検索
+        /// <summary>
+        /// 仕入先マスタ検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<SuppliersMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -118,23 +130,34 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
+
+        #region 仕入先マスタ検索（1件）
+        /// <summary>
+        /// 仕入先マスタ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref SuppliersMaster data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -148,7 +171,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -162,49 +185,51 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(SuppliersMaster work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SuppliersMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SuppliersMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(SuppliersColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", work.SuppliersCode);
-                strcmd += string.Format(", {0}", work.DisplayOrder);
-                strcmd += string.Format(",'{0}'", work.SuppliersName1);
-                strcmd += string.Format(",'{0}'", work.SuppliersName2);
-                strcmd += string.Format(",'{0}'", work.ZipCode);
-                strcmd += string.Format(",'{0}'", work.Address1);
-                strcmd += string.Format(",'{0}'", work.Address2);
-                strcmd += string.Format(",'{0}'", work.Address3);
-                strcmd += string.Format(",'{0}'", work.PhoneNumber);
-                strcmd += string.Format(",'{0}'", work.FaxNumber);
-                strcmd += string.Format(",'{0}'", work.Note);
-                strcmd += string.Format(", {0}", work.DeleteFlg);
+                strcmd.AppendFormat("  {0}", work.SuppliersCode);
+                strcmd.AppendFormat(", {0}", work.DisplayOrder);
+                strcmd.AppendFormat(",'{0}'", work.SuppliersName1);
+                strcmd.AppendFormat(",'{0}'", work.SuppliersName2);
+                strcmd.AppendFormat(",'{0}'", work.ZipCode);
+                strcmd.AppendFormat(",'{0}'", work.Address1);
+                strcmd.AppendFormat(",'{0}'", work.Address2);
+                strcmd.AppendFormat(",'{0}'", work.Address3);
+                strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
+                strcmd.AppendFormat(",'{0}'", work.FaxNumber);
+                strcmd.AppendFormat(",'{0}'", work.Note);
+                strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 仕入先マスタ追加
         /// <summary>
         /// 仕入先マスタ追加
         /// </summary>
@@ -212,54 +237,54 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SuppliersMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SuppliersMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SuppliersMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(SuppliersColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SuppliersMaster work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.SuppliersCode);
-                    strcmd += string.Format(", {0}", work.DisplayOrder);
-                    strcmd += string.Format(",'{0}'", work.SuppliersName1);
-                    strcmd += string.Format(",'{0}'", work.SuppliersName2);
-                    strcmd += string.Format(",'{0}'", work.ZipCode);
-                    strcmd += string.Format(",'{0}'", work.Address1);
-                    strcmd += string.Format(",'{0}'", work.Address2);
-                    strcmd += string.Format(",'{0}'", work.Address3);
-                    strcmd += string.Format(",'{0}'", work.PhoneNumber);
-                    strcmd += string.Format(",'{0}'", work.FaxNumber);
-                    strcmd += string.Format(",'{0}'", work.Note);
-                    strcmd += string.Format(", {0}", work.DeleteFlg);
+                    strcmd.AppendFormat("  {0}", work.SuppliersCode);
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder);
+                    strcmd.AppendFormat(",'{0}'", work.SuppliersName1);
+                    strcmd.AppendFormat(",'{0}'", work.SuppliersName2);
+                    strcmd.AppendFormat(",'{0}'", work.ZipCode);
+                    strcmd.AppendFormat(",'{0}'", work.Address1);
+                    strcmd.AppendFormat(",'{0}'", work.Address2);
+                    strcmd.AppendFormat(",'{0}'", work.Address3);
+                    strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
+                    strcmd.AppendFormat(",'{0}'", work.FaxNumber);
+                    strcmd.AppendFormat(",'{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -274,37 +299,37 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SuppliersMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SuppliersMaster";
+                strcmd.Append("UPDATE SuppliersMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" SuppliersCode = {0}", data.SuppliersCode);
-                strcmd += string.Format(" ,DisplayOrder = {0}", data.DisplayOrder);
-                strcmd += " ,SuppliersName1 = '" + data.SuppliersName1 + "'";
-                strcmd += " ,SuppliersName2 = '" + data.SuppliersName2 + "'";
-                strcmd += " ,ZipCode = '" + data.ZipCode + "'";
-                strcmd += " ,Address1 = '" + data.Address1 + "'";
-                strcmd += " ,Address2 = '" + data.Address2 + "'";
-                strcmd += " ,Address3 = '" + data.Address3 + "'";
-                strcmd += " ,PhoneNumber = '" + data.PhoneNumber + "'";
-                strcmd += " ,FaxNumber = '" + data.FaxNumber + "'";
-                strcmd += " ,Note = '" + data.Note + "'";
-                strcmd += string.Format(" ,DeleteFlg = {0}", data.DeleteFlg);
+                strcmd.AppendFormat(" SuppliersCode = {0}", data.SuppliersCode);
+                strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder);
+                strcmd.AppendFormat(", SuppliersName1 = '{0}'" , data.SuppliersName1);
+                strcmd.AppendFormat(", SuppliersName2 = '{0}'" , data.SuppliersName2);
+                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
+                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
+                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
+                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
+                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
+                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
+                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -320,18 +345,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SuppliersMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SuppliersMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -386,16 +411,16 @@
         public int SelectMaxSuppliersCodeCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SuppliersCode), 0) FROM SuppliersMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SuppliersCode), 0) FROM SuppliersMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -409,7 +434,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
@@ -424,17 +449,17 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int SuppliersCode)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork += string.Format(" WHERE SUPPLIERSCODE = {0}", SuppliersCode);
+                strWork.AppendFormat(" WHERE SUPPLIERSCODE = {0}", SuppliersCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -448,16 +473,16 @@
         public int GetMaxDisplayOrder(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(DISPLAYORDER), 0) FROM SUPPLIERSMASTER" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(DISPLAYORDER), 0) FROM SUPPLIERSMASTER{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -471,7 +496,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
@@ -488,21 +513,21 @@
         public bool SetDisplayOrder(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             try
             {
                 // SQL作成
-                strcmd = "UPDATE SUPPLIERSMASTER SET DISPLAYORDER = ROWNUM" + AddSQLString;
+                strcmd.AppendFormat("UPDATE SUPPLIERSMASTER SET DISPLAYORDER = ROWNUM{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
